The Spring Framework

## org.springframework.jdbc.core.metadata
Class TableMetaDataProviderFactory

    java.lang.Object
      org.springframework.jdbc.core.metadata.TableMetaDataProviderFactory

    public class TableMetaDataProviderFactory

extends Object

Factory used to create a `TableMetaDataProvider` implementation based on the type of databse being used.

Since:
  2.5
Author:
  Thomas Risberg

Constructor Summary
`TableMetaDataProviderFactory()`

Method Summary
`static TableMetaDataProvider` `createMetaDataProvider(DataSource dataSource, TableMetaDataContext context)` Create a TableMetaDataProvider based on the database metedata

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableMetaDataProviderFactory

    public TableMetaDataProviderFactory()

Method Detail

### createMetaDataProvider

    public static TableMetaDataProvider createMetaDataProvider(DataSource dataSource,
                                                               TableMetaDataContext context)

  Create a TableMetaDataProvider based on the database metedata

  Parameters:
    `dataSource` - used to retrieve metedata
    `context` - the class that holds configuration and metedata
  Returns:
    instance of the TableMetaDataProvider implementation to be used

The Spring Framework

Copyright © 2002-2008 The Spring Framework.